import React from 'react';
import { View, Text, StyleSheet, Image, TouchableOpacity } from 'react-native';
import { useNavigation, useRoute } from '@react-navigation/native';
import { rpx } from '../utils/rpx';

const NAV_ICONS = {
    scan: {
        active: 'https://lxnapi.ccttiot.com/bike/img/static/uDcctJhzNTfO2M1n0qvk',
        inactive: 'https://lxnapi.ccttiot.com/bike/img/static/uFWJ21bma6h1G4Mj9gSk'
    },
    manual: {
        active: 'https://lxnapi.ccttiot.com/bike/img/static/uGWnLtXhYlau5YwbYi24',
        inactive: 'https://lxnapi.ccttiot.com/bike/img/static/uwg3CRXfuLLYpDhKZpay'
    },
  
};

const BindNavBar = () => {
    const navigation = useNavigation();
    const route = useRoute();

    const currentRoute = route.name;

    return (
        <View style={styles.bottomNav}>
            <TouchableOpacity 
                style={styles.navItem}
                onPress={() => navigation.navigate('BindIndex' as never)}
            >
                <Image 
                    source={{ uri: currentRoute === 'BindIndex' ? NAV_ICONS.scan.active : NAV_ICONS.scan.inactive }}
                    style={styles.navIcon}
                />
            </TouchableOpacity>

            <TouchableOpacity 
                style={styles.navItem}
                onPress={() => navigation.navigate('SnBind' as never)}
            >
                <Image 
                    source={{ uri: currentRoute === 'SnBind' ? NAV_ICONS.manual.active : NAV_ICONS.manual.inactive }}
                    style={styles.navIcon}
                />
            </TouchableOpacity>

           
        </View>
    );
};

const styles = StyleSheet.create({
    bottomNav: {
        flexDirection: 'row',
        justifyContent: 'space-around',
        alignItems: 'center',
        height: rpx(180),
        backgroundColor: '#fff',
        borderTopLeftRadius: rpx(20),
        borderTopRightRadius: rpx(20),
        paddingBottom: rpx(20),
    },
    navItem: {
        alignItems: 'center',
        paddingHorizontal: rpx(20),
    },
    navIcon: {
        width: rpx(126),
        height: rpx(94),
    },
});

export default BindNavBar;